diff -Nru orig/XBRL/src/Makevars.ucrt patched/XBRL/src/Makevars.ucrt
--- orig/XBRL/src/Makevars.ucrt	2022-03-28 14:05:01.000000000 +0200
+++ patched/XBRL/src/Makevars.ucrt	2024-10-16 17:54:30.855874200 +0200
@@ -1,5 +1,13 @@
 ## Use the R_HOME indirection to support installations of multiple R version
 
-PKG_CXXFLAGS=-I${R_TOOLS_SOFT}/include/libxml2 -DLIBXML_STATIC
+PKG_LIBS = $(shell "${R_HOME}/bin${R_ARCH_BIN}/Rscript.exe" -e "Rcpp:::LdFlags()")
+
+ifeq (,$(shell pkg-config --version 2>/dev/null))
+    PKG_CXXFLAGS = -I${R_TOOLS_SOFT}/include/libxml2 -DLIBXML_STATIC
+    PKG_LIBS += -lxml2 -liconv -lz -llzma -lws2_32 -lbcrypt
+else
+    PKG_CXXFLAGS = $(shell pkg-config --cflags libxml-2.0)
+    PKG_LIBS += $(shell pkg-config --libs libxml-2.0)
+endif 
+
 
-PKG_LIBS = $(shell "${R_HOME}/bin${R_ARCH_BIN}/Rscript.exe" -e "Rcpp:::LdFlags()") -lxml2 -llzma -liconv -lz -lws2_32
